# HierarchyWizardModelGrouping.HierarchyWizardGroupingRange (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardModelGrouping.HierarchyWizardGroupingRange<U>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelGrouping.HierarchyWizardGroupingRange<U>

- Type Parameters:
    `U` -
  Enclosing class:
    HierarchyWizardModelGrouping<T>

      public static class HierarchyWizardModelGrouping.HierarchyWizardGroupingRange<U>
      extends java.lang.Object

  This class represents an adjustment.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `U` | `label` TODO
    `U` | `repeat` TODO
    `U` | `snap` TODO

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyWizardModelGrouping.HierarchyWizardGroupingRange(DataType<U> type, boolean lower)`
    `HierarchyWizardModelGrouping.HierarchyWizardGroupingRange(HierarchyBuilderIntervalBased.Range<U> range)`
    `HierarchyWizardModelGrouping.HierarchyWizardGroupingRange(U repeat, U snap, U label)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### repeat

          public U repeat

      TODO

    - #### snap

          public U snap

      TODO

    - #### label

          public U label

      TODO

  - ### Constructor Detail

    - #### HierarchyWizardModelGrouping.HierarchyWizardGroupingRange

          public HierarchyWizardModelGrouping.HierarchyWizardGroupingRange(DataType<U> type,
                                                                   boolean lower)

      Parameters:
        `type` -
        `lower` -

    - #### HierarchyWizardModelGrouping.HierarchyWizardGroupingRange

          public HierarchyWizardModelGrouping.HierarchyWizardGroupingRange(HierarchyBuilderIntervalBased.Range<U> range)

      Parameters:
        `range` -

    - #### HierarchyWizardModelGrouping.HierarchyWizardGroupingRange

          public HierarchyWizardModelGrouping.HierarchyWizardGroupingRange(U repeat,
                                                                   U snap,
                                                                   U label)

      Parameters:
        `repeat` -
        `snap` -
        `label` -